Bug 877271 - Headpin Upstream katello-configure failed
Headpin Upstream katello-configure failed
Status: CLOSED UPSTREAM
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Tom McKay
SAM QE List
:
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-11-16 00:55 EST by Tazim Kolhar
Modified: 2016-04-25 20:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-05 09:16:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tazim Kolhar 2012-11-16 00:55:02 EST
Description of problem:
Headpin Upstream install failed 


Version-Release number of selected component (if applicable):

# rpm -qa | grep katello
katello-configure-1.2.0-1.git.441.dfc6304.el6.noarch
katello-headpin-1.2.1-1.git.403.d730204.el6.noarch
katello-cli-common-1.2.1-1.git.257.9fe650d.el6.noarch
katello-common-1.2.1-1.git.403.d730204.el6.noarch
katello-glue-candlepin-1.2.1-1.git.403.d730204.el6.noarch
katello-cli-1.2.1-1.git.257.9fe650d.el6.noarch
katello-selinux-1.1.2-1.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-headpin-all-1.2.1-1.git.403.d730204.el6.noarch
katello-certs-tools-1.1.9-1.el6.noarch

How reproducible:

# yum install -y katello-headpin-all
# katello-configure --deployment=headpin
Steps to Reproduce:
1.# yum install -y katello-headpin-all

2.# katello-configure --deployment=headpin
Starting Katello configuration
The top-level log file is [/var/log/katello/katello-configure-20121116-004248/main.log]
err: /Stage[main]/Katello::Config/Exec[update_upgrade_history]/returns: change from notrun to 0 failed: ls /usr/share/katello/install/upgrade-scripts/upgrade/ > /var/lib/katello/upgrade-history returned 2 instead of one of [0] at /usr/share/katello/install/puppet/modules/katello/manifests/config.pp:192
Creating Katello database user
############################################################ ... OK
Creating Katello database
############################################################ ... OK
Creating Candlepin database user
############################################################ ... OK
Populating Katello database schema
############################################################ ... OK
Initializing Katello data
############################################################ ... OK


  
Actual results:
katello-configure failed

Expected results:
headpin install successful

Additional info:
Comment 1 Tom McKay 2012-11-27 10:26:09 EST
Please re-try with current nightly

Note You need to log in before you can comment on or make changes to this bug.